#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include "ui_mainwindow.h"
#include <QGraphicsView>
#include <QGraphicsTextItem>
#include <QGraphicsLineItem>
#include <QGraphicsItemGroup>
#include <QDateTime>


struct Enrt
{
    QDateTime dateTime;
    qint64 JulianDay;
    int annee;
    int mois;
    int jour;
    int heure;
    int minute;
    float temperature;
    int H; // humidité
    int P; // pression
};


struct Enrt_min_max
{
    QDateTime dateTime;
    qint64 JulianDay;
    int annee;
    int mois;
    int jour;
    float temperature_min;
    float temperature_max;
};


class MainWindow : public QMainWindow, public Ui::MainWindow
{
    Q_OBJECT
    
public:
    explicit MainWindow(QWidget *parent = 0);
    ~MainWindow();
    
private slots:


    int  openFile();
    void LISTER();
    void Extraire_1_Enr(QString ligne_i);

    void effacer_trace();
    void effacer_grille();
    void effacer_texte();
    void effacer_index();
    void effacer_tout();

    int  determine_d0();
    void determine_nb_de_jours();
    void affiche_grille();

    void tracer_data_presentes();
    void affiche_index(QDateTime dt_i);
    void tracer_courbe();
    void etiquette1(int x, int y, QString s1);
    void etiquette2(int x, int y, QString s1);

    void tracer_min_max(int plein);

    void on_Btn_FICHIER_clicked();
    void on_pushButton_2_clicked();
    void on_Bt_1jour_clicked();
    void on_Bt_1semaine_clicked();
    void on_Bt_1mois_clicked();
    void on_Bt_6mois_clicked();
    void on_Bt_1an_clicked();
    void on_Bt_2ans_clicked();
    void on_Bt_effacer_clicked();

    void tous_bt_gris();

    void on_spinBox_jour_valueChanged(int arg1);

    void on_spinBox_1_valueChanged(int arg1);
    void on_Bt_mois_plus_clicked();
    void on_Bt_mois_moins_clicked();

    void on_pushButton_clicked();

    void on_pushButton_3_clicked();

private:

    QGraphicsScene *scene1;
    QGraphicsScene *scene2;
    QGraphicsItemGroup *groupe_grille;
    QGraphicsItemGroup *groupe_trace;
    QGraphicsItemGroup *groupe_texte;
    QGraphicsItemGroup *groupe_index;
    QGraphicsItemGroup *groupe_data_presentes;

    QGraphicsLineItem *ligne1;
    QGraphicsLineItem *segment_i;
    QGraphicsRectItem *rectangle1;
    QGraphicsPolygonItem *polygone1;

    QGraphicsSimpleTextItem *textItem1;


};

#endif // MAINWINDOW_H
